CO_trace.h File Reference
CANopen_extra » Trace

CANopen trace object for recording variables over time. More...

`#include "301/CO_driver.h"`
`#include "301/CO_SDOserver.h"`

Go to the source code of this file.

## Data Structures

struct | CO_trace_dataType_t
| structure for reading variables and printing points for specific data type. More...
struct | CO_trace_t
| Trace object. More...

## Macros

#define | OD_INDEX_TRACE_CONFIG 0x2301
| Start index of traceConfig and Trace objects in Object Dictionary.

## Functions

void | CO_trace_init (CO_trace_t *trace, CO_SDO_t *SDO, uint8_t enabled, uint32_t *timeBuffer, int32_t *valueBuffer, uint32_t bufferSize, uint32_t *map, uint8_t *format, uint8_t *trigger, int32_t *threshold, int32_t *value, int32_t *minValue, int32_t *maxValue, uint32_t *triggerTime, uint16_t idx_OD_traceConfig, uint16_t idx_OD_trace)
| Initialize trace object. More...
void | CO_trace_process (CO_trace_t *trace, uint32_t timestamp)
| Process trace object. More...

## Detailed Description

CANopen trace object for recording variables over time.

Author
  Janez Paternoster

Copyright
  2016 - 2020 Janez Paternoster

This file is part of CANopenNode, an opensource CANopen Stack. Project home page is https://github.com/CANopenNode/CANopenNode. For more information on CANopen see http://www.can-cia.org/.

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.